#include "ParseException.h"

ParseException::ParseException(string message, int position)
:message(message),position(position)
{
}
string ParseException::getFullMessage(string input) const {
	string msg = message + "\n";
	msg += input+ "\n";
	for(int i=0;i<position;i++) {
		msg += " ";
	}
	msg += "^";
	return msg;
}
string ParseException::getFullMessage(string input, int line) const {
	string msg = message + "\n";
	char out[512];
	sprintf(out,"At line %d:",line);
	msg += string(out) + "\n";
	msg += input+ "\n";
	for(int i=0;i<position;i++) {
		msg += " ";
	}
	msg += "^";
	return msg;
}

ParseException::~ParseException()
{
}
