#include "Term.h"
#include <iostream.h>

Term::Term(Symbol const* symbol, Term** args)
: symbol(symbol),args(args)
{
}

Term::Term(Symbol const* symbol, Term** args,Term* merge)
: symbol(symbol),args(args)
{
}

Term::~Term()
{
	for(int i=0;i<symbol->getArity();i++) {
		delete args[i];
	}
}

string Term::toString() const {
	string ret = symbol->getName();
	if(symbol->getArity() != 0)  {
		ret+="(";
		ret+=args[0]->toString();
		for(int i=1;i<symbol->getArity();i++) {
			ret+=", "+args[i]->toString();
		}
		ret+=")";
	}
	return ret;
}
