#ifndef HASH_UTILS_H_
#define HASH_UTILS_H_

#include <string>
#include <ext/hash_map>

using namespace std;
using namespace __gnu_cxx;


namespace __gnu_cxx {
  template<> struct hash< string > {
    size_t operator()(const string& str ) const {
      return __stl_hash_string(str.c_str());
    }
  };
}

namespace std {
	template<> struct equal_to< string > {
		bool operator()(const string& s ,const string& t ) const {
			return  s == t;
		}
	};
};

#endif /*HASH_UTILS_H_*/
