#include "Equation.h"
#include "CCTerm.h"


template<class T> Equation<T>::Equation(T* lhs, T* rhs)
	:lhs(lhs),rhs(rhs)
	{}

template<class T> Equation<T>::~Equation()
{
	delete lhs;
	delete rhs;
}

template<class T> string Equation<T>::toString() const {
	return lhs->toString() + " = " + rhs->toString();
}

template class Equation<CCTerm>;
template class Equation<Term>;
