#include "Signature.h"



template<class T> Signature<T>::Signature(Symbol const* symbol)
:symbol(symbol),signature(new T[symbol->getArity()])
{
}

template<class T> Signature<T>::~Signature()
{
}

template<class T> string Signature<T>::toString() const {
	stringstream ret;
	ret << symbol->getName();
	if(symbol->getArity() == 0)
		return ret.str();
	ret << "(" << signature[0];
	for(int i=1;i<symbol->getArity();i++) {
		ret << ", " << signature[i];
	} 
	ret << ")";
	return ret.str();
}

template class Signature<EqClass>;
template class Signature<int>;
